include::../docbook/attributes.adoc[]
= dftest(1)
:doctype: manpage
:stylesheet: ws.css
:linkcss:
:copycss: ../docbook/{stylesheet}

== NAME

dftest - Shows display filter byte-code, for debugging dfilter routines.

== SYNOPSIS

[manarg]
*dftest*
[ <filter> ]

== DESCRIPTION

*dftest* is a simple tool which compiles a display filter and shows its bytecode.

== OPTIONS

filter::
+
--
The display filter expression. If needed it has to be quoted.
--

== EXAMPLES

Show how the IP protocol is filtered:

    dftest ip

Shows how frame 150 is filtered:

    dftest "frame.number == 150"

== SEE ALSO

xref:wireshark-filter.html[wireshark-filter](4)
